@@header 

select s.inst_id
     , s.force_matching_signature
     , ROUND(SUM(s.sharable_mem)/1024/1024)   sharable_mem
     , ROUND(SUM(s.persistent_mem)/1024/1024)  persistent_mem
     , ROUND(SUM(s.runtime_mem)/1024/1024)     runtime_mem
From  gv$sqlarea s
where s.inst_id like '%'
group by s.inst_id
       , s.force_matching_signature 
order by sum(s.sharable_mem) desc;

@@footer

